Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 370833 - <sys-process/lsof-4.85 fails to build with glibc-2.14
Summary: <sys-process/lsof-4.85 fails to build with glibc-2.14
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2011-06-09 16:15 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2018-04-22 16:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (lsof-4.84:20110609-120508.log,9.24 KB, text/plain)
2011-06-09 16:15 UTC, Diego Elio Pettenò (RETIRED)
Details
lsof 4.84 rpc patch (lsof_4.84_src-rpc.patch,8.09 KB, patch)
2011-09-03 00:42 UTC, Marek Behun
Details | Diff
proposed lsof 4.84-r1 ebuild (lsof-4.84-r1.ebuild,1.49 KB, text/plain)
2011-09-03 00:44 UTC, Marek Behun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2011-06-09 16:15:42 UTC
Created attachment 276387 [details]
Build log

Portage 2.1.10 (default/linux/x86/10.0, gcc-4.6.0-asneeded, glibc-2.14-r0, 2.6.39 i686)
=================================================================
System uname: Linux-2.6.39-i686-Quad-Core_AMD_Opteron-tm-_Processor_2350-with-gentoo-2.0.2
Timestamp of tree: Mon, 06 Jun 2011 20:30:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.2
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.6.0
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.14
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/tomoyo/conf /usr/share/bufrtables /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/qpsmtpd/plugins /var/lib/hsqldb /var/phxd /var/qmail/alias /var/qmail/control /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms split-log strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.wheel.sk/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j14"
PKGDIR="/var/spool/portage/packages"
PORTAGE_COMPRESS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://yamato.home.flameeyes.eu/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 java5 java6 modules mudflap mysql ncurses nls nostatic nptl nptlonly openmp pam pcre pcsc-lite perl postgres pppd python qt3support readline ruby semantic-desktop session ssl sysfs tcpd unicode vhosts x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest cgi" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 jruby ruby19 ree18" USERLAND="GNU" VIDEO_CARDS="intel radeon nouveau vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Marek Behun 2011-09-03 00:42:46 UTC
Created attachment 285387 [details, diff]
lsof 4.84 rpc patch

This patches lsof 4.84 source so on linux systems it will determine if rpc.h exists, and if not, compilation of rpc portmapper will be disabled. (lsof option +|-M).
Comment 2 Marek Behun 2011-09-03 00:44:10 UTC
Created attachment 285389 [details]
proposed lsof 4.84-r1 ebuild

This ebuild uses the rpc patch in src_prepare
Comment 3 Marek Behun 2011-09-03 00:50:05 UTC
Hello there,
see attached lsof 4.84 rpc patch and proposed lsof 4.84-r1 ebuild which uses this patch.
Glibc 2.14 does not install RPC headers anymore because NIS is considered obsolete. The library still contains code for packages built when RPC headers existed, but new code cannot be compiled or linked so we can get rid of RPC by forcing programmers to rewrite their programs.

kabel
Comment 4 SpanKY gentoo-dev 2011-09-07 04:48:29 UTC
Comment on attachment 285387 [details, diff]
lsof 4.84 rpc patch

ugh, all the `test -r $LSOF_INCLUDE` logic needs to be rewritten.  but that isnt a problem with your patch and needs to get fixed in general.

one problem with this patch though is that it doesnt support libtirpc which provides rpc logic now in Linux ...
Comment 5 SpanKY gentoo-dev 2011-09-17 22:55:24 UTC
should be all set now in the tree; thanks for the report!

Commit message: Clean up build logic by testing the compiler rather than poking around the filesystem.  Support USE=ipv6.  Support building with libtirpc rather than glibc and do so with USE=rpc.
http://sources.gentoo.org/sys-process/lsof/files/lsof-4.84-rpc.patch?rev=1.1
http://sources.gentoo.org/sys-process/lsof/lsof-4.84-r1.ebuild?rev=1.1
http://sources.gentoo.org/sys-process/lsof/metadata.xml?r1=1.1&r2=1.2
Comment 6 Marek Behun 2011-09-28 15:15:47 UTC
lsof now on 4.85 with this bug fixed